Skip to main content
POST
/
datasets
/
v3
/
scrape
Collect Videos by URL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "url": "<string>",
      "country": "<string>",
      "transcription_language": "<string>"
    }
  ]
}
'
[
  {
    "url": "https://www.youtube.com/watch?v=4L_m0m3bEtE",
    "title": "Video Title Here",
    "youtuber": "@channelname",
    "video_url": "https://...",
    "video_length": 96,
    "likes": 18,
    "views": 1648,
    "date_posted": "2025-04-18T05:26:16.000Z",
    "description": "Video description...",
    "num_comments": 0,
    "subscribers": 4810000,
    "video_id": "4L_m0m3bEtE",
    "channel_url": "https://www.youtube.com/@channelname",
    "preview_image": "https://i.ytimg.com/vi/4L_m0m3bEtE/maxresdefault.jpg",
    "shortcode": "4L_m0m3bEtE",
    "verified": true,
    "handle_name": "Channel Name",
    "is_sponsored": false,
    "quality": "hd1080",
    "transcript": "...",
    "tags": ["tag1", "tag2"],
    "is_age_restricted": false
  }
]

Query Parameters

dataset_id
string
default:"gd_lk56epmy2i5g7lzu0k"
required
The dataset ID used for this request.
Must be set to gd_lk56epmy2i5g7lzu0k to collect YouTube videos data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"},
    {"url": "https://www.youtube.com/watch?v=4L_m0m3bEtE"}
  ]
}
[
  {
    "url": "https://www.youtube.com/watch?v=4L_m0m3bEtE",
    "title": "Video Title Here",
    "youtuber": "@channelname",
    "video_url": "https://...",
    "video_length": 96,
    "likes": 18,
    "views": 1648,
    "date_posted": "2025-04-18T05:26:16.000Z",
    "description": "Video description...",
    "num_comments": 0,
    "subscribers": 4810000,
    "video_id": "4L_m0m3bEtE",
    "channel_url": "https://www.youtube.com/@channelname",
    "preview_image": "https://i.ytimg.com/vi/4L_m0m3bEtE/maxresdefault.jpg",
    "shortcode": "4L_m0m3bEtE",
    "verified": true,
    "handle_name": "Channel Name",
    "is_sponsored": false,
    "quality": "hd1080",
    "transcript": "...",
    "tags": ["tag1", "tag2"],
    "is_age_restricted": false
  }
]